GET api/NTOrderSettings/GetSelectOrderType?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfProtocolDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

ProtocolDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "Protocols": "sample string 2",
    "Name": "sample string 3",
    "ExamCustomName": "sample string 4",
    "CorporationCode": "sample string 5",
    "EntityTypeId": 6,
    "EntityId": "sample string 7",
    "path": "sample string 8",
    "DocumentList": [
      {
        "Path": "sample string 1",
        "DocumentName": "sample string 2",
        "ProtocolId": 3,
        "ValidFlag": true,
        "DateCreated": "2026-08-04T14:25:59.027924-07:00",
        "DateUpdated": "2026-08-04T14:25:59.027924-07:00",
        "UserIDCreated": 7,
        "UserIDUpdated": 8,
        "CompanyCode": "sample string 9",
        "IsExcludeDiscount": true
      },
      {
        "Path": "sample string 1",
        "DocumentName": "sample string 2",
        "ProtocolId": 3,
        "ValidFlag": true,
        "DateCreated": "2026-08-04T14:25:59.027924-07:00",
        "DateUpdated": "2026-08-04T14:25:59.027924-07:00",
        "UserIDCreated": 7,
        "UserIDUpdated": 8,
        "CompanyCode": "sample string 9",
        "IsExcludeDiscount": true
      }
    ],
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:25:59.027924-07:00",
    "DateUpdated": "2026-08-04T14:25:59.027924-07:00",
    "UserIDCreated": 12,
    "UserIDUpdated": 13,
    "CompanyCode": "sample string 14",
    "IsExcludeDiscount": true
  },
  "totalCount": 3
}